use libboard_zynq::{print, println, self as zynq,
    devc::{DevC},
};

pub fn load_pl(devc: &mut DevC) {
    devc.enable_and_select_pcap();
    devc.clear_interrupts(); // removed despite TRM suggestion
    devc.initialize_pl();
    devc.wait_for_pl_to_be_ready();
    devc.wait_for_command_queue_space();
    devc.disable_pcap_loopback();
    devc.enable_pcap_non_secure_mode();
    // load pcap
    //devc.wait_for_dma_transfer();


}
